# -*- coding: utf-8 -*-
# Moovida - Home multimedia server
# Copyright (C) 2006-2009 Fluendo Embedded S.L. (www.fluendo.com).
# All rights reserved.
#
# This file is available under one of two license agreements.
#
# This file is licensed under the GPL version 3.
# See "LICENSE.GPL" in the root of this distribution including a special
# exception to use Moovida with Fluendo's plugins.
#
# The GPL part of Moovida is also available under a commercial licensing
# agreement from Fluendo.
# See "LICENSE.Moovida" in the root directory of this distribution package
# for details on that license.

"""
Locale helper functions
"""

import locale, platform

# "Sets the locale for all categories to the user's default setting
# (typically specified in the LANG environment variable)."
# quoted from Python's documentation:
# http://docs.python.org/lib/module-locale.html
#
# This is not thread-safe and does not need to be done more than once.
if locale.getlocale() == (None, None):
    locale.setlocale(locale.LC_ALL, "")

def system_encoding():
    """
    Return the encoding used by the system.

    @rtype: string
    """
    # setlocale is done at import time; not doing it here allows
    # system_encoding to be thread-safe
    return locale.getpreferredencoding(do_setlocale=False)
